<?php
	
$jsonRequest = file_get_contents( 'php://input' );
// Cargamos el json en la variable como array
$request = (array)json_decode($jsonRequest);

require_once("tuidd/libs/tuidd_lib/client/TuiddClient.php");
require_once("tuidd/libs/tuidd_lib/client/TuiddServicesClient.php");

$sess_ = TuiddClient::blockStart('sdk-session');
$t = TuiddClient::getSingleton();

if ( $t->isLoggedIn($sess_) )
	{
		$sc = new TuiddServicesClient();

		/*********  EJEMPLO ADVERTISMENT  *********/
		/******************************************/
		$title = 'Publicidad de mi marca';
		$message = 'Comprate mi producto';
		$link = 'un link';
		$image_link = 'una imagen';
		$redirect_link = 'un redirect link';

        // service_id de ejemplo		
        $service_id = 'lpksZQ45XFK9UDDs9ZH9gMUXIN1KbXcn';
        $token = TuiddClient::getSingleton()->getSurveyAdvertisingToken();		
        $authInfo = array(
            'service_token' => $token->token,
            'login_hint' => 'PCR:'. $userInfo['sub'],
        ); 
        $extraParams['display'] = 'push';

		$serviceResult = $sc->sendAdvertisement($service_id, $authInfo, $title, $message, $link, $image_link, $redirect_link, $extraParams);

		if ($serviceResult)
            {
                if ($serviceResult['status'] == 200) 
                    {
                        echo '<pre>';print_r("Se completo la transaccion numero " . $serviceResult['transaction_id'] . " satisfactoriamente.");echo  '</pre>';
                    }
                else
                    {
                        echo '<pre>';print_r("La transaccion " . $serviceResult['transaction_id'] . " fallo.");echo  '</pre>';
                    }
            }		

		

		/********* EJEMPLO PAGO  *********/
		/**************************/
		$price = 50.0;
		$detail = 'un detalle';
		$concept = 'un concepto';
		$currency = 'USD';

        $token = TuiddClient::getSingleton()->getSurveyAdvertisingToken();		
        $authInfo = array(
            'service_token' => $token->token,
            'login_hint' => 'PCR:'. $userInfo['sub'],
        ); 
        $extraParams['display'] = 'push';

		$notificationURI = 'http://192.168.124.200/testSDKServices/tuidd/ns/index.php'; 
		$extraParams = array();
		$extraParams['display'] = 'push';
		$extraParams['notification_uri'] = $notificationURI;

		$serviceResult = $sc->sendPayment( $price, $authInfo, $detail, $concept, $currency, $extraParams );

		if ($serviceResult)
            {
                if ($serviceResult['status'] == 200) 
                    {
                        echo '<pre>';print_r("Se completo la transaccion numero " . $serviceResult['transaction_id'] . " satisfactoriamente.");echo  '</pre>';
                    }
                else
                    {
                        echo '<pre>';print_r("La transaccion " . $serviceResult['transaction_id'] . " fallo.");echo  '</pre>';
                    }
            }
		

		/*********  EJEMPLO COUPON  *********/
		/****************************/
		$title = 'Le coupon';
		$message = 'El cupon blabla';
		$coupon_type = 'qr_code';
		$link = 'un link';
		$image_link = 'una imagen';

        // service_id de ejemplo
        $service_id = 'lpksZQ45XFK9UDDs9ZH9gMUXIN1KbXcn';
        $token = TuiddClient::getSingleton()->getSurveyAdvertisingToken();		
        $authInfo = array(
            'service_token' => $token->token,
            'login_hint' => 'PCR:'. $userInfo['sub'],
        ); 
        $extraParams['display'] = 'push';

		$serviceResult = $sc->sendCoupon( $service_id, $authInfo, $title, $message, $coupon_type, $link, $image_link, $extraParams );

		if ($serviceResult)
            {
                if ($serviceResult['status'] == 200) 
                    {
                        echo '<pre>';print_r("Se completo la transaccion numero " . $serviceResult['transaction_id'] . " satisfactoriamente.");echo  '</pre>';
                    }
                else
                    {
                        echo '<pre>';print_r("La transaccion " . $serviceResult['transaction_id'] . " fallo.");echo  '</pre>';
                    }
            }
		

		/*********  EJEMPLO NOTIFICACION  *********/
		/***********************************/
		$title = 'Mi notificacion';
		$message = 'Notifico algo';
		$link = 'un link';

		$notificationURI = 'http://192.168.124.200/testSDKServices/tuidd/ns/index.php'; 
		$extraParams = [];
		$extraParams['notification_uri'] = $notificationURI;

        // service_id de ejemplo
        $service_id = 'lpksZQ45XFK9UDDs9ZH9gMUXIN1KbXcn';
		$authInfo = array(
			'service_token' => 'dsf432sdgf185421yhreq',
			'login_hint' => 'PCR:dsafw1q321590128yoaf',
        ); 

		$serviceResult = $sc->sendNotification( $service_id, $authInfo, $title, $message, $link, $extraParams );

		if ($serviceResult)
            {
                if ($serviceResult['status'] == 200) 
                    {
                        echo '<pre>';print_r("Se completo la transaccion numero " . $serviceResult['transaction_id'] . " satisfactoriamente.");echo  '</pre>';
                    }
                else
                    {
                        echo '<pre>';print_r("La transaccion " . $serviceResult['transaction_id'] . " fallo.");echo  '</pre>';
                    }
            }

		/*********  EJEMPLO ENCUESTA  *********/
		/**************************************/
        // service_id de ejemplo
        $service_id = 'lpksZQ45XFK9UDDs9ZH9gMUXIN1KbXcn';
        $token = TuiddClient::getSingleton()->getSurveyServiceToken();		
        $authInfo = array(
            'service_token' => $token->token,
            'login_hint' => 'PCR:'. $userInfo['sub'],
        ); 
        $extraParams['display'] = 'push';

        $serviceResult = $sc->sendSurvey( $service_id, $authInfo, $extraParams );

		if ($serviceResult)
            {
                if ($serviceResult['status'] == 200) 
                    {
                        echo '<pre>';print_r("Se completo la transaccion numero " . $serviceResult['transaction_id'] . " satisfactoriamente.");echo  '</pre>';
                    }
                else
                    {
                        echo '<pre>';print_r("La transaccion " . $serviceResult['transaction_id'] . " fallo.");echo  '</pre>';
                    }
            }
	}

TuiddClient::blockEnd($sess_);
?>